<app-pokemon-header [pokemons]="pokemons"
  (searchChange)="newPokemonSearch($event)"
  (typeSelected)="newTypeSelected($event)"
>
</app-pokemon-header>

<app-pokemon-homepage (exportPokemons)="exportPokemons($event)"
  [search]="search"
  [typeFilter]="typeFilter"
  >
</app-pokemon-homepage>

<router-outlet></router-outlet>
